#!/bin/sh

#########################################################################################################
#                                        Alexandre Rico                                                 #
# 02/2021                                                                                               #
#                                                                                                       #
# Script permettant de configurer le DNS sur linux                                                      #
#                                                                                                       #
# Pour configurer le DNS on utilise la commande /sbin/resolvconf                                        #
#########################################################################################################

if [ -x /usr/bin/resolvectl ]; then
	
	if [ ! -z "$1" ]; then
	    case $1 in
		set)
			/usr/bin/resolvectl dns $2 $3;
			/usr/bin/resolvectl domain $2 ~.;
			/usr/bin/resolvectl flush-caches;
			exit 0;
	        ;;

		reset)
			/usr/bin/resolvectl revert $2;
			/usr/bin/resolvectl flush-caches;
			exit 0;
	        ;;
		*) 
			echo "usage: $0 (set <dev> <DNS> | reset <dev>)"
			exit -1;
		;;
		esac
	else
	    echo "usage: $0 ( set <dev> <DNS> | reset <dev>)"
	    exit -1;
	fi
fi

if [ -x /sbin/resolvconf ]; then

	if [ ! -z "$1" ]; then
	    case $1 in
	        set)
	                echo -n "nameserver $3" | /sbin/resolvconf -a "$2.vpnclient-daemon";
	                exit 0;
	        ;;

	        reset)
	                /sbin/resolvconf -d "$2.vpnclient-daemon";
	                exit 0;
	        ;;
	        *) 
	                echo "usage: $0 (set <dev> <DNS> | reset <dev>)"
	                exit -1;
	        ;;
	        esac
	else
	    echo "usage: $0 ( set <dev> <DNS> | reset <dev>)"
	    exit -1;
	fi

fi

echo "Missing binaries !!!"
exit -1;




